# Afaaq, the Djinni Companion
*A mod for Baldur's Gate II: Throne of Bhaal and Baldur's Gate II: Enhanced Edition.*

**Author:** Argent77

**Website:** https://argent77.github.io/DjinniCompanion/index.html

## Introduction

Meet Afaaq! The djinni who will be your faithful companion in the course of your adventures throughout SoA and ToB.

![Afaaq's portrait](https://argent77.github.io/DjinniCompanion/images/AfaaqPortrait.png)

**Contents**
* The djinni Afaaq who acts as your "seventh party member"
* Extensive dialog content between Afaaq and the protagonist
* Banters with each of the original Bioware/Beamdog NPCs (still in the works)
* Interjections and commentaries
* An extensive player-initiated dialog with Afaaq
* Up to five new interesting quests
* Six new areas
* A couple of unique artifacts
* Several easter eggs


## Mod Components

1. The main component comes in two flavors:

  **Full Version:** (recommended) This component installs the djinni Afaaq together with quests, new maps, lots of interjections, commentaries and banters with the protagonist as well as all Bioware/Beamdog NPCs.

  **Light Version:** This component installs a stripped down version of the mod consisting only of the djinni Afaaq and his magical lamp. Choose this if you merely want additional fighting power in your adventures.

2. **Banter accelerator:** (Full Version only) Lets you control how often a conversation should be triggered by the djinni. Possible values range from 15 min. to 120 min. (Default is 60 minutes).
   *Note: Only conversations between the djinni and the protagonist are affected.*

3. **Remove Afaaq's banter soundtrack:** (Full Version only) By default, a short oriental soundtrack will be played back whenever the djinni starts a conversation with the protagonist. This component disables the soundtrack.

4. **Alternate djinni portrait by Ulb:** Choose this component if you want to replace the default portrait of the djinni Afaaq by an alternate version. (Preview)

5. **Add Infinity Animation creatures:** (Full Version only) This component will be triggered only if the mod "Infinity Animations" and its subcomponent "Distinctive Genies" have been installed. It replaces a couple of creature animations with more natural looking versions.


## Details

Afaaq is a djinni  a genie of the Elemental Plane of Air. He is very old even in genie terms. The numerous events he witnessed in his long life have left their marks on his personality. He appears somewhat reserved and radiates a melancholic, sometimes even gloomy aura. Afaaq is more serious than others of his kind and tends to talk in a rather long-winded and convoluted way. He respects wisdom and open-mindedness, but will also tolerate foolhardy behavior to a certain degree. Everything else he can tell you by himself.

When you first meet him, he is equipped with his favorite enchanted scimitar, has a small variety of spells and a couple of unusual innate abilities. The djinni gains experience much like a party member would do and levels up automatically. Depending on the choices you make during the course of the game, he may become even more useful later.

**Initial Statistics**
* Class: Fighter/Mage at level 10/11
* Alignment: Chaotic Good
* Strength: 15
* Dexterity: 16
* Constitution: 13
* Intelligence: 15
* Wisdom: 16
* Charisma: 11

If you want to know more, simply talk to him when he is around or in his magical lamp. He will be happy to answer most of your questions in detail.


## Credits

**Writing & Coding:** Argent77

**English proofreading:** Many thanks to snowshoes1818 and Thimblerig

**Alternate Afaaq portrait:** provided by Ulb

**Malik portrait:** based on the Fire Genasi illustration by Jesper Ejsing (published under the Creative Commons license)

**Afaaq's Theme:** based on the soundtrack Sa'aluni-n-Nass by Fairuz (published under the Creative Commons license)

**Serpent Statue riddles are coming from**
* Lair of the Dragon
* Cloud Kingdom Games

Everything else is based on resources from Baldur's Gate, Baldur's Gate II, Icewind Dale, Icewind Dale II, Diablo II or Age of Wonders Shadow Magic.

**Copyright Notice:**
> "Afaaq, the Djinni Companion" is licensed under a [Creative Commons Attribution-ShareAlike 4.0 International License](http://creativecommons.org/licenses/by-sa/4.0/).
> 
> Baldur's Gate II: Enhanced Edition  Beamdog Inc., Baldur's Gate and Baldur's Gate II: Shadows of Amn and Baldur's Gate II: Throne of Bhaal  TSR, Inc., Icewind Dale and Icewind Dale II:  Interplay Entertainment Corp., The BioWare Infinity Engine is  BioWare Corp., Diablo II:  Blizzard Entertainment, Age of Wonders Shadow Magic:  Triumph Studios.
